APIIntegrations
Update Cursor Cloud settings
Set the repository, model, or standing instructions for the coding agent. Requires the admin scope.
PATCH
/integrations/cursorcurl -X PATCH "https://productlane.com/api/v2/integrations/cursor" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"repository": "string",
"model": "string",
"custom_instructions": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
repositorystring | null"owner/repo" the coding agent works in.
modelstring | nullcustom_instructionsstring | null
Response
application/json
Successful response
connectedbooleanrequiredrepositorystring | nullrequiredmodelstring | nullrequiredcustom_instructionsstring | nullrequiredrecording_modestringrequired
{
"connected": true,
"repository": "string",
"model": "string",
"custom_instructions": "string",
"recording_mode": "string"
}